# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/nvmem/qcom,spmi-sdam.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Technologies, Inc. SPMI SDAM

maintainers:
  - Shyam Kumar Thella <sthella@codeaurora.org>

description: |
  The SDAM provides scratch register space for the PMIC clients. This
  memory can be used by software to store information or communicate
  to/from the PBUS.

allOf:
  - $ref: nvmem.yaml#
  - $ref: nvmem-deprecated-cells.yaml#

properties:
  compatible:
    enum:
      - qcom,spmi-sdam

  reg:
    maxItems: 1

  ranges: true

required:
  - compatible
  - reg
  - ranges

unevaluatedProperties: false

examples:
  - |
    pmic {
        #address-cells = <1>;
        #size-cells = <0>;

        sdam_1: nvram@b000 {
            compatible = "qcom,spmi-sdam";
            reg = <0xb000>;
            #address-cells = <1>;
            #size-cells = <1>;
            ranges = <0 0xb000 0x100>;

            /* Data cells */
            restart_reason: restart@50 {
                reg = <0x50 0x1>;
                bits = <6 2>;
            };
        };
    };
...
